# Generated by Django 3.0.2 on 2020-04-29 18:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('gestruc', '0041_delete_ruchcol'),
    ]

    operations = [
        migrations.CreateModel(
            name='Ruruchcol',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('emplacement', models.CharField(blank=True, max_length=10, null=True)),
                ('debut', models.DateTimeField(verbose_name='Date début')),
                ('fin', models.DateTimeField(blank=True, null=True, verbose_name='Date de fin')),
                ('commentaire', models.TextField(blank=True, max_length=240, null=True)),
                ('colonie', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='colonie', to='gestruc.Colonies')),
                ('ruche', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ruche', to='gestruc.Ruches')),
                ('rucher', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='rucher', to='gestruc.Ruchers')),
            ],
        ),
        migrations.DeleteModel(
            name='Ruruche',
        ),
    ]
